Summary:	XvMC library
Summary(pl.UTF-8):	Biblioteka XvMC
Name:		xorg-lib-libXvMC
Version:	1.0.8
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXvMC-%{version}.tar.bz2
# Source0-md5:	2e4014e9d55c430e307999a6b3dd256d
Source1:	XvMCConfig
Source2:	xvmcinfo.c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Provides:	libXvMCW = %{version}
Obsoletes:	libXvMCW
# withdrawn (and never useful) Mesa drivers
Obsoletes:	Mesa-libXvMC-r300 < 10
Obsoletes:	Mesa-libXvMC-softpipe < 10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XvMC (X-Video Motion Compensation) library.

%description -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

%package devel
Summary:	Header files for libXvMC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXvMC
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXv-devel
Provides:	libXvMCW-devel = %{version}
Obsoletes:	libXvMCW-devel

%description devel
XvMC (X-Video Motion Compensation) library.

This package contains the header files needed to develop programs that
use libXvMC.

%description devel -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXvMC.

%package static
Summary:	Static libXvMC libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXvMC
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libXvMCW-static = %{version}
Obsoletes:	libXvMCW-static

%description static
XvMC (X-Video Motion Compensation) library.

This package contains the static libXvMC libraries.

%description static -l pl.UTF-8
Biblioteka XvMC (X-Video Motion Compensation, czyli kompensacji ruchu
dla X-Video).

Pakiet zawiera statyczne biblioteki libXvMC.

%prep
%setup -q -n libXvMC-%{version}
cp -p %{SOURCE2} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%{__cc} %{rpmcflags} %{rpmldflags} xvmcinfo.c -lX11 -lXv -lXvMC -o xvmcinfo

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

install -Dp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig
install -Dp xvmcinfo $RPM_BUILD_ROOT%{_bindir}/xvmcinfo

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXvMC*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xvmcinfo
%attr(755,root,root) %{_libdir}/libXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMC.so.1
%attr(755,root,root) %{_libdir}/libXvMCW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvMCW.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(644,root,root,755)
%doc XvMC_API.txt
%attr(755,root,root) %{_libdir}/libXvMC.so
%attr(755,root,root) %{_libdir}/libXvMCW.so
%{_includedir}/X11/extensions/XvMClib.h
%{_pkgconfigdir}/xvmc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXvMC.a
%{_libdir}/libXvMCW.a
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXvMC.git;a=log;h=master

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> db2d2e3
- release 2

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 351f895
- Obsoletes for removed Mesa XvMC drivers

* Fri Jun 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 5e8ba52
- updated to 1.0.8 (fixes CVE-2013-1990 CVE-2013-1999)

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 627a9fe
- updated to 1.0.7
- added Mesa modules to list in XvMCConfig

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 6f78926
- removed unused *.la files, rel++

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> 187b6eb
- add xvmcinfo program

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> eb0a02b
- copy from http://www.mythtv.org/wiki/XvMC

* Thu Dec 30 2010 Elan Ruusamäe <glen@pld-linux.org> b2f3fd8
- note libIntelXvMC.so.1

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> c9c858a
- updated to 1.0.6

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> ef7bfbc
- rebuild
- rel 2

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 2566ff3
- updated util-macros version
- more verbose files and descs, added README and XvMC_API.txt to docs
- ghost soname symlinks

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cfeae4f
- up to 1.0.5

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42480cd
- release 3

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 14e9845
- updated XvMCConfig to mention available libraries
- release 2

* Sun Apr 01 2007 Jakub Bogusz <qboosh@pld-linux.org> f486615
- neutral and more helpful one

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3d8a3d7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c3ca875
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e151c2
- up to 1.0.4

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c275403
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d6cb82
- rebuild

